Skip to main content
`Ctrl`+`K`

# PCDeflationSetSpaceToCompute

Set deflation space type and size to compute.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCDeflationSetSpaceToCompute(PC pc, PCDeflationSpaceType type, PetscInt size)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- type - deflation space type to compute (or `PETSC_IGNORE`)

- size - size of the space to compute (or `PETSC_DEFAULT`)

## Options Database Keys

- -pc_deflation_compute_space type - compute `PCDeflationSpaceType` deflation space

- -pc_deflation_compute_space_size size - size of the deflation space

## Notes

For wavelet-based deflation, size represents number of levels.

The deflation space is computed in `PCSetUp()`.

## See Also

KSP: Linear System Solvers, `PCDeflationSetLevels()`, `PCDEFLATION`

## Level

intermediate

## Location

src/ksp/pc/impls/deflation/deflation.c

## Implementations

PCDeflationSetSpaceToCompute_Deflation() in src/ksp/pc/impls/deflation/deflation.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages